[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

Re: [suse-security] Problems with latest SuSE apache2-mod_php5 from SuSE update



On Fri, Nov 25, 2005 at 10:44:41AM +0100, Stefan Seifert wrote:
> />> I have encountered a problem with 
> apache2-mod_php5-5.0.3-14.13.i586.rpm /
> />> on SuSE 9.3. /
> />> /
> />> After installing the following mod_rewrite directive does not work 
> anymore: /
> />> /
> />> RewriteRule ^(.*)(index|content)\.html myscript.php [PT] /
> />> /
> />> /
> />> The script is no longer executed, but a empty response of (I think) 
> type /
> />> x-httpd-php is sent back. Rolling back to /
> />> apache2-mod_php5-5.0.3-14.11.i586.rpm fixes that issuse. /
> 
> > i got the same problem with php4. error.log shows following messages:
> 
> > ------------------------------
> > [notice] child pid 8975 exit signal Segmentation fault (11)
> > -----------------------------
> 
> > i have additional eaccelerator running. maybe the problem depends from
> > this tool. can't test it atm.
> 
> I can confirm this problem with patch php4-52615 on SuSE 9.1 and 
> apache2-mod_php4-52618 on SuSE 9.3
> No accelerators used. I get a segfault on every subrequest that's using 
> PHP, e.g. PHP scripts that are included via SSI and PHP scripts that run 
> as 404 errorpage. I think rewrites run as subrequest, too, so that's why 
> they're broken.
> 
> Rolled back the update for now.

We will find out what went wrong and release updated packages...

Might take some days into next week since php4 is massive :(

Ciao, Marcus

-- 
Check the headers for your unsubscription address
For additional commands, e-mail: suse-security-help@xxxxxxxx
Security-related bug reports go to security@xxxxxxx, not here